# $Revision: 1.12 $, $Date: 2012/03/25 20:24:24 $
%define		status		beta
%define		pearname	Services_Blogging
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - access your blog with PHP
Summary(pl.UTF-8):	%{pearname} - dostęp do blogów z poziomu PHP
Name:		php-pear-%{pearname}
Version:	0.2.4
Release:	1
License:	LGPL Version 2.1
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	8a2ae816197f5ed4dac03205a89bb826
URL:		http://pear.php.net/package/Services_Blogging/
BuildRequires:	php-pear-PEAR >= 1:1.4.1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.580
Requires:	php-pear
Requires:	php-pear-XML_RPC
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
API for accessing blog systems such as blogger, livejournal and
others.

In PEAR status of this package is: %{status}.

%description -l pl.UTF-8
API umożliwiające dostęp do systemów takich jak blogger czy
livejournal.

Ta klasa ma w PEAR status: %{status}.

%prep
%pear_package_setup

mv .%{php_pear_dir}/data/Services_Blogging/README .
mv docs/Services_Blogging/examples .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Services/Blogging.php
%{php_pear_dir}/Services/Blogging
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Services_Blogging.spec,v $
Revision 1.12  2012/03/25 20:24:24  glen
- up to 0.2.4

Revision 1.11  2010/08/22 08:51:27  glen
- ensure rpmbuild macros present

Revision 1.10  2010/08/21 19:08:25  glen
- updated deps with pearize.sh
- release 2

Revision 1.9  2008/12/27 00:41:19  adamg
- updated to 0.2.3

Revision 1.8  2008/08/30 21:02:11  adamg
- updated to 0.2.2

Revision 1.7  2008/06/23 19:49:17  adamg
- updated to 0.2.1

Revision 1.6  2008-05-24 08:41:48  adamg
- release 2 (updated PEAR deps)

Revision 1.5  2008-05-23 20:07:16  adamg
- PEAR/PEAR-core packages are not directly required

Revision 1.4  2008-05-03 09:06:03  adamg
- updated to 0.2.0

Revision 1.3  2008-04-07 20:18:52  qboosh
- pl fix

Revision 1.2  2008-01-31 12:16:10  glen
- rel 2

Revision 1.1  2007-09-03 15:26:08  adamg
- new
